%% purge
%    Removes useless data from the block on saving, avoiding unnecessary
%    changes and data storage.
% inputs:
%   object - Cell object
% outputs:
%   none
% Author: Matthew Dawson <matthew@mjdsystems.ca>
% Organization: McMaster Centre for Software Certification
function  purge( object )
object.grid_pb = [];
object.cond = [];
object.color = []; % This is always regenerated, so it is safe to kill.

for i=1:size(object.subgrid,2)
    object.subgrid(i).purge;
end
end

